<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * User Provider Model.
 */
class UserProvider extends Model
{
    /**
     * The database table used by the model.
     *
     * @var string
     */
    protected $table = 'user_providers';

    protected $casts = [
        'user_setting' => 'array',
        'user_id' => 'integer',
      ];

    /**
     * The attributes that are not mass assignable.
     *
     * @var array
     */
    protected $guarded = ['id'];

    /**
     * Get the user of a UserProvider.
     */
    public function user()
    {
        return $this->belongsTo('App\Models\User');
    }
}
